Kapitel 5. Paketmanagement
Zurück | 5.43 `dpkg-repack` | Weiter

## 5.43 `dpkg-repack`

Mit diesem Programm lassen sich bereits installierte Pakete wieder zu einem Debian-Paket zusammenpacken. Wenn irgendwelche Veränderungen, beispielsweise an den Konfigurationsdateien, vorgenommen wurden, so werden diese in das Paket übernommen. Dies ermöglicht es, auf einfache Weise Pakete mit spezifischen Konfigurationen auf mehreren Systemen zu verteilen oder auch längst aus der Distribution verschwundene Pakete wiederzubeleben (solange noch auf einem anderen erreichbaren System die notwendige Software installiert ist). Auf diesem Wege kann auch der momentane Zustand eines Pakets gesichert werden, bevor Sie es upgraden.

`dpkg-repack` kennt die folgenden Optionen:

    Usage: dpkg-repack [--root=dir] packagename [packagename ..]
            --root=dir      Take package from filesystem rooted on <dir>.
            --arch=arch     Force the arch to be built for architecture <arch>.
            packagename     The name of the package to attempt to repack.

Optionen

--root=dir

  Erzeugt das Paket aus dem angegebenen Verzeichnis, beispielsweise eine gemountete Partition.

--arch=arch

  Erzeugt das Paket für die angegebene Architektur.

Als abschließender Parameter ist lediglich der Name des zu packenden Pakets anzugeben.

Zurück | Nach oben | Weiter
5.42 `grep-dctrl` | Zum Anfang | 5.44 `dpkg-divert`

© 1999-2006 Frank Ronneburg - Dieser Inhalt ist unter einem Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung Lizenzvertrag lizenziert (creativecommons.org/licenses/by-nc-nd/2.0/de/legalcode).